Package org.springframework.security.web.util.matcher

# Class ELRequestMatcher

java.lang.Object
org.springframework.security.web.util.matcher.ELRequestMatcher

All Implemented Interfaces:
  `RequestMatcher`

public class ELRequestMatcher extends Object implements RequestMatcher
A RequestMatcher implementation which uses a SpEL expression

With the default EvaluationContext (`ELRequestMatcherContext`) you can use `hasIpAddress()` and `hasHeader()`

See `DelegatingAuthenticationEntryPoint` for an example configuration.

Since:
  3.0.2

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.security.web.util.matcher.RequestMatcher

`RequestMatcher.MatchResult`

## Constructor Summary

Constructors
Constructor
Description
`ELRequestMatcher(String el)`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.expression.EvaluationContext`
`createELContext(jakarta.servlet.http.HttpServletRequest request)`
Subclasses can override this methode if they want to use a different EL root context
`boolean`
`matches(jakarta.servlet.http.HttpServletRequest request)`
Decides whether the rule implemented by the strategy matches the supplied request.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.security.web.util.matcher.RequestMatcher

`matcher`

## Constructor Details

### ELRequestMatcher

public ELRequestMatcher(String el)

## Method Details

### matches

public boolean matches(jakarta.servlet.http.HttpServletRequest request)
Description copied from interface: `RequestMatcher`
Decides whether the rule implemented by the strategy matches the supplied request.

Specified by:
  `matches` in interface `RequestMatcher`
Parameters:
  `request` - the request to check for a match
Returns:
  true if the request matches, false otherwise

### createELContext

public org.springframework.expression.EvaluationContext createELContext(jakarta.servlet.http.HttpServletRequest request)
Subclasses can override this methode if they want to use a different EL root context

Returns:
  EL root context which is used to evaluate the expression

### toString

public String toString()

Overrides:
  `toString` in class `Object`